Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel
Class AbstractSession<T extends AbstractTrace>

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.AbstractSession<T>

Type Parameters:
  `T` - The concrete type of trace this session is based on

Direct Known Subclasses:
  ExecutionTraceBasedSession, MessageTraceBasedSession

    public abstract class AbstractSession<T extends AbstractTrace>

extends Object

Sessions group traces which belong to the same high-level user interaction.

Since:
  1.10
Author:
  Holger Knoche

Constructor Summary
`AbstractSession(String sessionId)` Creates a new abstract session with the given session ID.

Method Summary
`void` | `addTrace(T trace)` Adds a trace to this session.
`SortedSet<T>` | `getContainedTraces()` Returns the traces contained in this session.
`long` | `getEndTimestamp()` Returns this trace's end timestamp.
`String` | `getSessionId()` Returns this session's session ID.
`long` | `getStartTimestamp()` Returns this trace's start timestamp.
`void` | `setCompleted()` Marks this session as completed, i.e.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSession

    public AbstractSession(String sessionId)

  Creates a new abstract session with the given session ID.

  Parameters:
    `sessionId` - The session ID for this session

Method Detail

### getSessionId

    public String getSessionId()

  Returns this session's session ID.

  Returns:
    See above

### addTrace

    public void addTrace(T trace)

  Adds a trace to this session.

  Parameters:
    `trace` - The trace to add.

### getContainedTraces

    public SortedSet<T> getContainedTraces()

  Returns the traces contained in this session.

  Returns:
    See above

### getStartTimestamp

    public long getStartTimestamp()

  Returns this trace's start timestamp.

  Returns:
    See above

### getEndTimestamp

    public long getEndTimestamp()

  Returns this trace's end timestamp.

  Returns:
    See above

### setCompleted

    public void setCompleted()

  Marks this session as completed, i.e. prevents any future changes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net